<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class ClubmanagementViewTournaments extends ClubmanagementView
{
	function display($tpl = null)
	{
		$cid = JRequest::getVar('cid', NULL);
		$m = $this->getModel('tournaments');
		if (!is_null($cid)) {
			$cid=$cid[0];
			$tournaments = $m->getData($cid);
			$positions = $m->getPositions();

			$keys = array('people_id', 'name_complete', 'position');
			$this->assignRef('tournamentpositionkeys', $keys);

			$pos = ClubmanagementHelper::objarray2jsarray($positions, $keys);
			$this->assignRef('tournamentpositions', $pos);
			
		} else {
			$tournaments = $m->getData();
		}
		$this->assignRef('tournaments', $tournaments);


		$lists		= & $this->get( 'Lists');
		$this->assignRef('lists',		$lists);

		$pagination = &$this->get('Pagination');
		$this->assignRef('pagination', $pagination);

		$tcategories = &$m->getCategories();

		$this->assignRef('categories', $tcategories);

		$p = $this->getModel('people');
		$pd = $p->getPersonalData();
		$this->assignRef('people', $pd);

		switch(JRequest::getVar('task')) {
			case "edit":
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();
			break;
			case "add":
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();
			break;
			default:
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
			break;
		}

		parent::display($tpl);
	}
	
}
