<?php
jimport( 'joomla.application.component.view');

class ClubmanagementViewMemberstatistics extends JView
{
	function display($tpl = null)
	{
		switch(JRequest::getVar('layout')) {
			case "yearschart":
				$model	  = $this->getModel('member');
				$chart	  = $this->getModel('charts')->getModel('memberperyear');

				$chartParams = JFactory::getSession()->get('chartParams', array(), 'clubmanagement');
				if(is_null($chartParams)) {
					$chartParams = $chart->getChartParamsFromItemid(JRequest::getInt('chartId'));
				}
				$chart->setChartSize($chartParams['chart_width'], $chartParams['chart_height']);
				$chart->setChartParams($chartParams);
				$chart->setData($model->getYearchartData($chartParams));
				$chart->draw();
				exit;
			break;
			case "agegroups":
				$model	  = $this->getModel('member');
				$chart	  = $this->getModel('charts')->getModel('agegroups');

				$chartParams = JFactory::getSession()->get('chartParams', array(), 'clubmanagement');
				if(is_null($chartParams) || (is_array($chartParams) && count($chartParams)==0)) {
					$chartParams = $chart->getChartParamsFromItemid(JRequest::getInt('chartId'));
				}
//var_dump($chartParams);
				$chart->setChartSize($chartParams['chart_width'], $chartParams['chart_height']);
				$chart->setChartParams($chartParams);
				$chart->setData($model->getAgegroupstatistics($chartParams));
				$chart->draw();

				exit;
			break;
			//case "loremipsum":
			//	$Itemid = intval($_REQUEST['chartId']);
			//	$url = "http://localhost".JRoute::_('index.php?option=com_clubmanagement&view=memberstatistics&layout=yearschart&format=raw');
			//	$chartParams = JFactory::getSession()->get('chartParams', array(), 'clubmanagement');
			//	$context = stream_context_create(
			//		array(
			//			'http' => array(
			//				'method' => 'POST',
			//				'content' => htmlspecialchars_decode(http_build_query($chartParams))
			//			)
			//		)
			//	);
			//	fpassthru(fopen($url, 'r', false, $context));
			//break;
		}
	}	
}
?>